/* reset css - usar o asterisco(*) */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* variáveis CSS */
:root {
    --bg-dark: #000;
    --color-primary : #fff;
    --color-secondary: #dc143c;
}

body {
    font-family: 'Poppins', sans-serif;
}

ul, ol {
    list-style: none;
}

a {
    text-decoration: none;
    color: var(--color-primary);
}


/******************************* header-page *************************************/
.header-page {
    width: 100%;
    height: 80px;
    display: flex;
    /* alinhamento vertical para row */
    align-items: center;
    
    /* alinhamento horizontal para row */
    justify-content: space-between;
    padding: 0 20px;
    
    position: absolute;
    
}

.header-title {
    font-size: 40px;   
    font-weight: 900;
    color: var(--color-primary);
}


.header-span {
    color: var(--color-secondary);
}

.header-menu ul {
    display: flex;
}

.header-menu li {
    margin: 0 10px;
}

.header-menu a{
    font-size: 15px;
    font-weight: 700;
    transition: .5s;
}

.header-menu a:hover{
    color: var(--color-secondary);
}
/******************************* fim header-page **********************************/


/******************************* hero ********************************************/
.hero {
    text-align: center;
    padding: 0 20px;
    color: var(--color-primary);
    display: flex;
    flex-direction: column;

    /* alinhamento horizontal */
    align-items: center;

    /* alinhamento vertical */
    justify-content: center;
}

.hero-title {
    font-size: 40px;
    margin-bottom: 30px;
}

.hero-text {
    width: 50%;
    line-height: 30px;
    font-size: 18px;
    margin-bottom: 40px;
}

.btn {
   border: 2px solid var(--color-secondary); 
   padding: 10px 30px;
   border-radius: 70px;
   color: var(--color-secondary);
   font-weight: 700;
   transition: .5s;
}

.btn:hover {
    background-color: var(--color-secondary);
    color: var(--color-primary);
}


/******************************* fim hero ***************************************/

/******************************* cards *******************************************/
.cards{
    color: var(--color-primary);
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.card-item {
    /* border: 1px solid var(--color-secondary); */
    width: 30%;
    height: 450px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.card-icon {
    font-size: 50px;
    background-color: var(--color-secondary);
    transition: .5s;
    border: 1px solid var(--color-secondary);
    padding: 20px;
    border-radius: 50%;
}

.card-icon:hover {
    cursor: pointer;
    transform: rotate(1440deg);
}


.card-title {
    margin: 20px 0;
}


.card-text {
    margin: 20px 0 50px;
}
/******************************* fim cards ***************************************/

/* ******************************* solution **************************************/
.solution {
    color: var(--color-primary);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.solution-title {
    font-size: 50px;
    margin-bottom: 40px;
}

.solution-text {
    width: 50%;
    line-height: 32px;
    margin-bottom: 40px;
    font-size: 18px;
}

/* ******************************* fim solution *********************************/


/********************************* galeria *********************************/
.gallery {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
}

.gallery-item {
    width: 30%;
    background-color: var(--color-primary);
    padding: 10px 10px 20px 10px;
    margin: 20px 0;
    border-radius: 7px;
    transition: .5s;
}

.gallery-item:hover {
    cursor: pointer;
    transform: scale(1.1);
}


.gallery-item img {
    width: 100%;
    height: 220px;
}

.gallery-item figcaption {
    font-size: 13px;
    font-weight: 700;

}
/********************************* fim galeria *********************************/




.container {
    width: 100%;
    min-height: 100vh;
    /* background-repeat: no-repeat; */
    background-size: cover;
    background-position: 50%;
    background-attachment: fixed;
}

.bg-image-1 {
    background-image: linear-gradient(to top, rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0)),
    url(../images/pexels-negative-space-34140.jpg);
}

.bg-image-2 {
    background-image: linear-gradient(to top, rgba(0, 0, 0, .6), rgba(0, 0, 0, .3)),
    url(../images/pexels-expect-best-246684.jpg);
}

.bg-image-3 {
    background-image: url(../images/pexels-tranmautritam-251225.jpg);
}

.bg-color-1 {
    background-color: var(--bg-dark);
}